Index: src/Actions/Action.cpp
===================================================================
--- src/Actions/Action.cpp	(revision dd88cb86f41b3bd7928c6029b08d07f211ecb31f)
+++ src/Actions/Action.cpp	(revision b2ae3bbc113d5260710b637dd098d36ee28dc655)
@@ -63,5 +63,7 @@
       OptionRegistry::getInstance().registerInstance(optioniter->second);
     } else { // if present, ASSERT that types coincide
+#ifndef NDEBUG
       OptionTrait const * const PresentOption = OptionRegistry::getInstance().getOptionByName(optioniter->first);
+#endif
       ASSERT(PresentOption->getType() == optioniter->second->getType(),
           ("Action::Action() - option to add "+
Index: src/Actions/OptionRegistry.cpp
===================================================================
--- src/Actions/OptionRegistry.cpp	(revision dd88cb86f41b3bd7928c6029b08d07f211ecb31f)
+++ src/Actions/OptionRegistry.cpp	(revision b2ae3bbc113d5260710b637dd098d36ee28dc655)
@@ -88,11 +88,14 @@
         optioniter != (actioniter->second)->Traits.getEndIter();
         ++optioniter) {
+#ifndef NDEBUG
       std::string const &OptionName = optioniter->first;
       std::type_info const &typeDesired = *((actioniter->second)->Traits.getOption(OptionName).getType());
+      std::type_info const &typePresent = *(getOptionByName(OptionName)->getType());
+#endif
       ASSERT( isOptionPresentByName(OptionName),
-          "ConsistencyCheck() - option token not contained in OptionRegistry");
-      std::type_info const &typePresent = *(getOptionByName(OptionName)->getType());
+          "ConsistencyCheck() - option token "+OptionName+" not contained in OptionRegistry");
       ASSERT( typeDesired == typePresent,
-          "ConsistencyCheck() - Two options with same token do not have the same type!");
+          "ConsistencyCheck() - Two options -- "+toString(typeDesired.name())
+          +" and "+toString(typePresent.name())+" -- with same token do not have the same type!");
     }
   }
Index: src/Actions/SelectionAction/Atoms/AllAtomsOfMoleculeAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AllAtomsOfMoleculeAction.cpp	(revision dd88cb86f41b3bd7928c6029b08d07f211ecb31f)
+++ src/Actions/SelectionAction/Atoms/AllAtomsOfMoleculeAction.cpp	(revision b2ae3bbc113d5260710b637dd098d36ee28dc655)
@@ -61,5 +61,5 @@
 
 Action::state_ptr SelectionAllAtomsOfMoleculeAction::performRedo(Action::state_ptr _state){
-  SelectionAllAtomsOfMoleculeState *state = assert_cast<SelectionAllAtomsOfMoleculeState*>(_state.get());
+  //SelectionAllAtomsOfMoleculeState *state = assert_cast<SelectionAllAtomsOfMoleculeState*>(_state.get());
 
   World::getInstance().selectAllAtoms(AtomsByMoleculeSelection());
Index: src/periodentafel.cpp
===================================================================
--- src/periodentafel.cpp	(revision dd88cb86f41b3bd7928c6029b08d07f211ecb31f)
+++ src/periodentafel.cpp	(revision b2ae3bbc113d5260710b637dd098d36ee28dc655)
@@ -44,25 +44,40 @@
   {
     stringstream input(elementsDB,ios_base::in);
-    bool status = LoadElementsDatabase(input);
+#ifndef NDEBUG
+    bool status =
+#endif
+        LoadElementsDatabase(input);
     ASSERT(status,  "General element initialization failed");
   }
   {
     stringstream input(valenceDB,ios_base::in);
-    bool status = LoadValenceDatabase(&input);
+#ifndef NDEBUG
+    bool status =
+#endif
+        LoadValenceDatabase(&input);
     ASSERT(status, "Valence entry of element initialization failed");
   }
   {
     stringstream input(orbitalsDB,ios_base::in);
-    bool status = LoadOrbitalsDatabase(&input);
+#ifndef NDEBUG
+    bool status =
+#endif
+        LoadOrbitalsDatabase(&input);
     ASSERT(status, "Orbitals entry of element initialization failed");
   }
   {
     stringstream input(HbondangleDB,ios_base::in);
-    bool status = LoadHBondAngleDatabase(&input);
+#ifndef NDEBUG
+    bool status =
+#endif
+        LoadHBondAngleDatabase(&input);
     ASSERT(status, "HBond angle entry of element initialization failed");
   }
   {
     stringstream input(HbonddistanceDB,ios_base::in);
-    bool status = LoadHBondLengthsDatabase(&input);
+#ifndef NDEBUG
+    bool status =
+#endif
+        LoadHBondLengthsDatabase(&input);
     ASSERT(status, "HBond distance entry of element initialization failed");
   }
